$b-border: solid 2px black;
.grid {
  display: grid;
  grid-template-columns: 3fr 1.5fr 5fr;
  grid-template-rows: 0.5fr 1fr 0.5fr 1.5fr repeat(2, 1fr) repeat(2, 0.5fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  min-height: 100vh;
  &-banner {
    grid-area: 1 / 1 / 2 / 13;
    text-align: center;
    width: 100%;
    border-bottom: $b-border;
    position: relative;
    .burger {
      position: absolute;
      right: 4rem;
      top: 50%;
      transform: translateY(-50%);
      height: 1em;
      width: 2.5rem;
      cursor: pointer;
      span {
        position: absolute;
        top: 0;
        left: 50%;
        width: 100%;
        height: 0.25rem;
        display: inline-block;
        background-color: black;
        transform: translateX(-50%);
        &:last-of-type {
          top: unset;
          bottom: 0;
          transition: width $tr-short;
        }
      }
      &:hover span:last-of-type {
        width: 50%;
      }
    }
  }
  &-title {
    grid-area: 2 / 1 / 3 / 4;
    font-family: $f-header;
    position: relative;
    border-bottom: $b-border;
    h1 {
      margin: 0;
      font-size: 15vw;
      text-align: center;
      line-height: 1.75;
    }
  }
  &-img {
    grid-area: 3 / 1 / 7 / 3;
    background-image: url("../src/love-dress-white-04.jpeg");
    background-position: top center;
    background-repeat: no-repeat;
    background-size: cover;
    border-right: $b-border;
    border-left: $b-border;
  }
  &-footer {
    grid-area: 8 / 3 / 9 / 4;
    .boulette {
      height: 1em;
      width: 1em;
      font-size: 1.25em;
      background-color: black;
      border-radius: 50%;
    }
    .copyright {
      font-size: 1.25em;
    }
  }
  &-links {
    grid-area: 7 / 1 / 8 / 4;
    border-top: $b-border;
    a {
      color: inherit;
      text-decoration: none;
      font-size: 1.25em;
    }
  }
  &-overlap {
    grid-area: 4 / 2 / 5 / 4;
    z-index: 5;
    background-image: url("../src/love-dress-white-02.jpeg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-bottom: $b-border;
    border-top: $b-border;
    border-left: $b-border;
  }
  &-actions {
    grid-area: 5 / 3 / 7 / 4;
    a {
      color: inherit;
      font-size: 1.5em;
      text-decoration: none;
      position: relative;
      overflow: visible;
      .texte {
        margin-right: 4.5em;
        top: 0;
        position: relative;
        transition: top $tr-short $d-short;
      }
      svg {
        position: absolute;
        top: 50%;
        left: 50%;
        height: auto;
        transform: translate(-50%, -60%);
        width: 135%;
        .st0 {
          fill: #f6af91;
        }
      }
      .arrow {
        display: inline-block;
        height: 0.25em;
        width: 4em;
        position: absolute;
        top: 50%;
        right: 0;
        transform: translateY(-50%);
        transition: width $tr-short, height $tr-short;
        &::before,
        &::after {
          transition: background-color $tr-short;
        }
        &::before {
          content: "";
          height: 1px;
          width: calc(100% - 1px);
          background-color: black;
          display: block;
          position: absolute;
          top: 50%;
          left: 0;
          transform: translateY(-50%);
        }
        &::after {
          content: "";
          height: 100%;
          aspect-ratio: 1;
          background-color: black;
          display: block;
          position: absolute;
          top: 50%;
          right: 0;
          transform: translateY(-50%) rotate(45deg);
          clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 75% 25%);
        }
      }
      &:hover {
        .texte {
          top: -0.6em;
          transition: top $tr-short;
        }
        .arrow {
          width: 100%;
          height: 0.5em;
          transition: width $tr-short $d-short, height $tr-short $d-short;
          &::before,
          &::after {
            transition: background-color $tr-short $d-short;
            background-color: #f6af91;
            filter: brightness(0.85);
          }
        }
      }
    }
  }
}

//Ipad Pro debout / Ipad couché
@media only screen and (min-width: 1024px) {
  .grid {
    grid-template-columns: repeat(2, 1.25fr) repeat(4, 1fr) 0fr 1.5fr 1.5fr repeat(
        3,
        1fr
      );
    grid-template-rows: 0.5fr 0.35fr 1.5fr repeat(2, 1fr) 0.5fr;
    &-title {
      border-bottom: none;
      grid-area: 2 / 1 / 6 / 3;
      h1 {
        font-size: 15vh;
        position: absolute;
        top: 50%;
        left: 50%;
        transform-origin: center;
        transform: translate(-50%, -50%) rotate(-90deg);
        width: 80vh;
        height: calc(100vw * 1 / 6);
        line-height: calc(100vw * 1 / 6);
      }
    }
    &-img {
      grid-area: 2 / 3 / 6 / 9;
    }
    &-footer {
      grid-area: 6 / 9 / 7 / 13;
      border-top: $b-border;
    }
    &-links {
      grid-area: 6 / 1 / 7 / 9;
      border-right: $b-border;
    }
    &-overlap {
      grid-area: 3 / 8 / 4 / 13;
    }
    &-actions {
      grid-area: 4 / 9 / 6 / 13;
    }
  }
}
